curl --request GET \
--url https://api.portkey.ai/v1/analytics/graphs/cache/latency \
--header 'x-portkey-api-key: <api-key>'import requests
url = "https://api.portkey.ai/v1/analytics/graphs/cache/latency"
headers = {"x-portkey-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};
fetch('https://api.portkey.ai/v1/analytics/graphs/cache/latency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.portkey.ai/v1/analytics/graphs/cache/latency",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-portkey-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.portkey.ai/v1/analytics/graphs/cache/latency"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-portkey-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.portkey.ai/v1/analytics/graphs/cache/latency")
.header("x-portkey-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.portkey.ai/v1/analytics/graphs/cache/latency")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-portkey-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"summary": {},
"data_points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"avg": 123
}
],
"object": "analytics-graph"
}Get cache hit latency data
curl --request GET \
--url https://api.portkey.ai/v1/analytics/graphs/cache/latency \
--header 'x-portkey-api-key: <api-key>'import requests
url = "https://api.portkey.ai/v1/analytics/graphs/cache/latency"
headers = {"x-portkey-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-portkey-api-key': '<api-key>'}};
fetch('https://api.portkey.ai/v1/analytics/graphs/cache/latency', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.portkey.ai/v1/analytics/graphs/cache/latency",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-portkey-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.portkey.ai/v1/analytics/graphs/cache/latency"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-portkey-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.portkey.ai/v1/analytics/graphs/cache/latency")
.header("x-portkey-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.portkey.ai/v1/analytics/graphs/cache/latency")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-portkey-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"summary": {},
"data_points": [
{
"timestamp": "2023-11-07T05:31:56Z",
"avg": 123
}
],
"object": "analytics-graph"
}Portkey is now PRISMA AIRS AI Gateway. See it in action.
Query Parameters
When true, returns data aggregated across all workspaces in the organisation. Only takes effect for organisation API keys; ignored for workspace API keys, which are already scoped to a single workspace. Do not combine with workspace_slug — if workspace_slug is present, it takes precedence and this parameter is ignored. One of workspace_slug, include_all_workspaces, or exclude_workspace_slugs is required.
Comma separated workspace slugs to exclude. Behaves like include_all_workspaces (aggregates across all workspaces) but filters out the listed slugs. Only takes effect for organisation API keys; ignored for workspace API keys. Do not combine with workspace_slug — if workspace_slug is present, it takes precedence and this parameter is ignored. One of workspace_slug, include_all_workspaces, or exclude_workspace_slugs is required.
Was this page helpful?

